moNextMove(3)

NAME
moNextMove - Class which allows to generate a new move (moMove).

SYNOPSIS

#include <moNextMove.h>

Inherits eoBF< A1, A2, R >< const M &, M::EOType &, bool >.

Inherited by moItRandNextMove< M >.

Detailed Description

  template<class M> class moNextMove< M >
Class which allows to generate a new move (moMove). Useful for the explorer (for moTS or moHC). Does nothing... An object that herits from this class needs to be designed for being used.

Definition at line 47 of file moNextMove.h.

Author

Generated automatically by Doxygen for ParadisEO-MOMovingObjects from the source code.